# Encryption

## General data encryption & decryption

Just a general data encryption/decryption function.

{% content-ref url="/pages/YlpjY3ezHm3vKrNmwyuT" %}
[Encryption/Decryption](/hem-api/reference/api-reference/cryptography-operations/encryption/encryption-decryption.md)
{% endcontent-ref %}

## Wrap & unwrap the key material

Two basic operations regarding NIST SP 800-38F specification.

{% content-ref url="/pages/OqyotJTHWqISnfVAlVRR" %}
[Wrap/Unwrap](/hem-api/reference/api-reference/cryptography-operations/encryption/wrap-unwrap.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.encedo.com/hem-api/reference/api-reference/cryptography-operations/encryption.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
